<?php
/*################################################
@author: Code Tecnologia
@date: 29/03/2019
@version: 1.00
@purpose: Classe responsavel por devolver as informacoes do dashboard mobile

Resposta esperada:
{
 "erro": false,
 "mensagem":"",
 "valorReceber":9990.00,
 "valorRecebido":300.00,
 "indicacoes":8
}
*/
  
################################################*/

include_once("connect.php");
	
	mysqli_query($conexao,"SET NAMES 'utf8'");
    mysqli_query($conexao,'SET character_set_connection=utf8');
    mysqli_query($conexao,'SET character_set_client=utf8');
    mysqli_query($conexao,'SET character_set_results=utf8');
    
$valorReceber = 0;
$valorRecebido = 0;
$indicacoes = 0;


//Funcao para exibir o json
function exibir_json($json){
    $echo_json = json_encode($json);
    $json = array_map('utf8_encode', $json);
	echo $echo_json;
}

//Verificando se a mensagem foi transmitida por GET
if(strcasecmp($_SERVER['REQUEST_METHOD'], 'GET') != 0){  
    $status = array(
				'erro' => 'true',
				'mensagem' => 'O formato transmitido não é um GET');
    //$json = json_encode($status);
	exibir_json($status);
    exit(0);
}else{

//Verificando se o Content-type � 'application/json'
/*
$contentType = isset($_SERVER["CONTENT_TYPE"]) ? trim($_SERVER["CONTENT_TYPE"]) : '';
if(strcasecmp($contentType, 'application/json') != 0){
    $status = array(
				'erro' => 'true',
				'mensagem' => 'O tipo da mensagem est� incorreto.');
    $json = json_encode($status);
	exibir_json($json);
    exit(0);
}
*/

//recebendo a requisicao
$content = file_get_contents("php://input");
$content = utf8_encode($content); //evita erros


  //obtendo informacoes do Header da mensagem
    $token = isset($_SERVER["HTTP_TOKEN"]) ? trim($_SERVER["HTTP_TOKEN"]) : '';//pegando o token do header 
    $token_decoded = base64_decode($token);

/*Checando dados obrigat�rios*/  
    if(empty($token)){
      $status = array(
				'erro' => 'true',
				'mensagem' => 'Token inválido');
      //$json = json_encode($status);
      //enviarCurl($url,$json);
	  exibir_json($status);
      
    }else{
        //Dashboard

       //Participantes: numero de participantes da sua rede
		$consulta_participantes = " select count(*)
 as valor
                                      from oc_customer t
                                     where  1 =1
                                       and (select parentid from oc_customer where customer_id=t.parentid) = $token_decoded
                                        or parentid = $token_decoded";

		//Pontos acumulados: numero de pontos acumulados			 
		$consulta_acumulados 	= "select ifnull(sum(points),0) as valor from oc_customer_reward
                                    where customer_id = $token_decoded";
		
		//Pontos de consumo: Numero de pontos gastos ate o momento (gameficacao)
		$consulta_consumo 		= "select '1' as valor from dual";

		//Ranking: Numero que informa a posicao do cliente no ranking
		$consulta_ranking 		= "select '1' as valor from dual";

		// echo $consulta_indicacoes;
		// exit(0);

       //Query participantes     
		$result = mysqli_query($conexao, $consulta_participantes) or die(mysqli_error($conexao));
        if(mysqli_num_rows($result)>0){
            while($row = mysqli_fetch_assoc($result)){
                $participantes 				= $row['valor'];
            }
		}
	
		//Query acumulados
		$result = mysqli_query($conexao, $consulta_acumulados) or die(mysqli_error($conexao));
        if(mysqli_num_rows($result)>0){
            while($row = mysqli_fetch_assoc($result)){
                $pts_acumulados				= $row['valor'];
            }
		}
		
		//Query consumo
		$result = mysqli_query($conexao, $consulta_consumo) or die(mysqli_error($conexao));
        if(mysqli_num_rows($result)>0){
            while($row = mysqli_fetch_assoc($result)){
                $pts_consumo 				= $row['valor'];
            }
		}


		//Query ranking
		$result = mysqli_query($conexao, $consulta_ranking) or die(mysqli_error($conexao));
        if(mysqli_num_rows($result)>0){
            while($row = mysqli_fetch_assoc($result)){
                $pos_ranking 				= $row['valor'];
            }
		}

			
                $status = array( 'erro'          => 'false'
    				     	    ,'mensagem'      => ''
    				            ,'participantes'  => $participantes
    				    		,'pts_acumulados' => $pts_acumulados
							    ,'pts_consumo'    => $pts_consumo
							    ,'pos_ranking'    => $pos_ranking
    				    );
                //$json = json_encode($status);
				
				//Preparando o token
				/*
				$token = base64_encode($usuario['id']);
				header("token: $token");
				*/
            	exibir_json($status);
                exit(0);
	}   
}    
        
?>